com.holonplatform.vaadin.components

## Class PropertyInputGroup.OverallValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.core.Validator.ValidationException
        - - com.holonplatform.vaadin.components.PropertyInputGroup.OverallValidationException

- All Implemented Interfaces:
    com.holonplatform.core.i18n.Localizable, Serializable
  Enclosing interface:
    PropertyInputGroup

      public static class PropertyInputGroup.OverallValidationException
      extends com.holonplatform.core.Validator.ValidationException

  `Validator.ValidationException` extension to discern inputs validation and overall container validation exceptions.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `com.holonplatform.core.i18n.Localizable.Builder<B extends com.holonplatform.core.i18n.Localizable.Builder<B>>, com.holonplatform.core.i18n.Localizable.LocalizableBuilder, com.holonplatform.core.i18n.Localizable.LocalizationException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OverallValidationException(String message)`
    `OverallValidationException(String message, String messageCode, Object... messageArguments)`
    `OverallValidationException(com.holonplatform.core.Validator.ValidationException... causes)`

  - ### Method Summary

    - ### Methods inherited from class com.holonplatform.core.Validator.ValidationException

      `getCauses, getCausesMessages, getLocalizableMessage, getLocalizedCausesMessages, getLocalizedMessage, getMessage, getMessageArguments, getMessageCode, getValidationMessages`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, of, of`

- - ### Constructor Detail

    - #### OverallValidationException

          public OverallValidationException(String message)

    - #### OverallValidationException

          public OverallValidationException(String message,
                                            String messageCode,
                                            Object... messageArguments)

    - #### OverallValidationException

          public OverallValidationException(com.holonplatform.core.Validator.ValidationException... causes)

Copyright © 2019 The Holon Platform. All rights reserved.